libmwaw_applepict1::ColorTable Struct Reference

Internal and low level: a class used to read a color map in a Apple Pict. More...

## Public Member Functions

| ColorTable ()
| constructor More...
bool | read (MWAWInputStream &input)
| tries to read a colortable More...

## Public Attributes

int | m_flags
| the color table flags More...
std::vector< MWAWColor > | m_colors
| the list of colors More...

## Friends

std::ostream & | operator<< (std::ostream &o, ColorTable const &f)
| operator<< for ColorTable More...

## Detailed Description

Internal and low level: a class used to read a color map in a Apple Pict.

## Constructor & Destructor Documentation

libmwaw_applepict1::ColorTable::ColorTable | ( |  | ) |

inline

constructor

## Member Function Documentation

bool libmwaw_applepict1::ColorTable::read | ( | MWAWInputStream & | input | ) |

inline

tries to read a colortable

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | ColorTable const & | f
| ) |  |

friend

operator<< for ColorTable

## Member Data Documentation

std::vector<MWAWColor> libmwaw_applepict1::ColorTable::m_colors

the list of colors

Referenced by read().

int libmwaw_applepict1::ColorTable::m_flags

the color table flags

Referenced by read().

The documentation for this struct was generated from the following file:

- MWAWPictMac.cxx